rev 7239 - in branches/kde4/packages/kdebase-workspace/debian: . man

Armin Berres trigger-guest at alioth.debian.org
Sat Sep 22 15:56:49 UTC 2007


Author: trigger-guest
Date: 2007-09-22 15:56:49 +0000 (Sat, 22 Sep 2007)
New Revision: 7239

Added:
   branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.manpages
   branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.postinst
   branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.prerm
   branches/kde4/packages/kdebase-workspace/debian/kdm-np.pam
   branches/kde4/packages/kdebase-workspace/debian/konsole.manpages
   branches/kde4/packages/kdebase-workspace/debian/konsole.postinst
   branches/kde4/packages/kdebase-workspace/debian/konsole.prerm
   branches/kde4/packages/kdebase-workspace/debian/kwin.postinst
   branches/kde4/packages/kdebase-workspace/debian/kwin.prerm
   branches/kde4/packages/kdebase-workspace/debian/man/konsole.1
   branches/kde4/packages/kdebase-workspace/debian/man/startkde.1
Modified:
   branches/kde4/packages/kdebase-workspace/debian/changelog
Log:
copied maintainer scripts and two manpages from kde3
konsole manpage and maybe others need some love, because of changed options


Modified: branches/kde4/packages/kdebase-workspace/debian/changelog
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/changelog	2007-09-22 13:16:02 UTC (rev 7238)
+++ branches/kde4/packages/kdebase-workspace/debian/changelog	2007-09-22 15:56:49 UTC (rev 7239)
@@ -3,13 +3,14 @@
   +++ Changes by Armin Berres:
 
   * Remove some Oxygen icons from ksysguard which are already shipped by kdebase-data
-  * Port Debian specific settings and patches for kdm from KDE3
+  * Port Debian specific scripts, settings and patches for kdm, konsole, kwin and 
+    more from KDE3
   * Add conflict of kdm with desktop-base << 4.0.4 because of missing
     KdmGreeterTheme.desktop
   * Move kde.desktop into kdebase-workspace-data and install it in
     /usr/share/xsessions
 
- -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Sat, 22 Sep 2007 15:12:13 +0200
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Sat, 22 Sep 2007 17:52:23 +0200
 
 kdebase-workspace (4:3.93.0-2) experimental; urgency=low
 

Added: branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.manpages
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.manpages	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.manpages	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1 @@
+debian/man/startkde.1

Added: branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.postinst
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.postinst	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.postinst	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,46 @@
+#! /bin/sh
+# postinst script for kdebase-workspace-bin
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+    configure)
+        update-alternatives --install /usr/bin/x-session-manager \
+	x-session-manager /usr/bin/startkde 40 \
+	--slave /usr/share/man/man1/x-session-manager.1.gz \
+	x-session-manager.1.gz "/usr/share/man/man1/startkde.1.gz"
+    
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.prerm
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.prerm	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/kdebase-workspace-bin.prerm	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,44 @@
+#! /bin/sh
+# prerm script for ksmserver
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        /usr/sbin/update-alternatives --remove x-session-manager /usr/bin/startkde
+    ;;
+
+    upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: branches/kde4/packages/kdebase-workspace/debian/kdm-np.pam
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/kdm-np.pam	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/kdm-np.pam	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,11 @@
+#
+# /etc/pam.d/kdm-np - specify the PAM behaviour of kdm for passwordless logins
+#
+auth       required     pam_nologin.so
+auth       required     pam_env.so readenv=1
+auth       required     pam_env.so readenv=1 envfile=/etc/default/locale
+session    required     pam_limits.so
+ at include common-account
+ at include common-password
+ at include common-session
+auth       required     pam_permit.so

Added: branches/kde4/packages/kdebase-workspace/debian/konsole.manpages
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/konsole.manpages	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/konsole.manpages	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1 @@
+debian/man/konsole.1

Added: branches/kde4/packages/kdebase-workspace/debian/konsole.postinst
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/konsole.postinst	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/konsole.postinst	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,43 @@
+#! /bin/sh
+# postinst script for konsole
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+    configure)
+        update-alternatives --install /usr/bin/x-terminal-emulator x-terminal-emulator /usr/bin/konsole 35 \
+          --slave /usr/share/man/man1/x-terminal-emulator.1.gz x-terminal-emulator.1.gz /usr/share/man/man1/konsole.1.gz
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: branches/kde4/packages/kdebase-workspace/debian/konsole.prerm
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/konsole.prerm	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/konsole.prerm	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,44 @@
+#! /bin/sh
+# prerm script for konsole
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        /usr/sbin/update-alternatives --remove x-terminal-emulator /usr/bin/konsole
+    ;;
+
+    upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: branches/kde4/packages/kdebase-workspace/debian/kwin.postinst
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/kwin.postinst	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/kwin.postinst	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,42 @@
+#! /bin/sh
+# postinst script for konqueror 
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+    configure)
+	update-alternatives --install /usr/bin/x-window-manager x-window-manager /usr/bin/kwin 50
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: branches/kde4/packages/kdebase-workspace/debian/kwin.prerm
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/kwin.prerm	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/kwin.prerm	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,44 @@
+#! /bin/sh
+# prerm script for konqueror
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        /usr/sbin/update-alternatives --remove x-window-manager /usr/bin/kwin
+    ;;
+
+    upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: branches/kde4/packages/kdebase-workspace/debian/man/konsole.1
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/man/konsole.1	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/man/konsole.1	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,179 @@
+.\" The draft of this file was generated by kdemangen.pl and edited after.
+.TH Konsole 1 "Nov 2005" "K Desktop Environment" ""
+.SH NAME
+.BR Konsole
+\- X terminal emulator for KDE.
+.SH SYNOPSIS
+.BR Konsole 
+[Qt\-options] [KDE\-options] [options] [args] 
+.SH DESCRIPTION
+Konsole is an X terminal emulation which provides a command-line interface
+(CLI) while using the graphical K Desktop Environment. Konsole helps to
+better organize user's desktop by containing multiple sessions in a single
+window (a less cluttered desktop).
+.PP
+Konsole advanced features include simple configuration and the ability to use
+multiple terminal shells in a single window, making for a less
+cluttered desktop.
+.PP
+Using Konsole, a user can open:
+.PP
+.RS
+Linux console sessions
+.PP
+Shell sessions
+.PP
+Screen sessions
+.PP
+Midnight Commander file manager sessions
+.PP
+Root console sessions
+.PP
+Root Midnight Commander sessions
+.PP
+User created sessions
+.RE
+
+These sessions can be renamed to help you keep track of all your shells,
+or signaled (STOP, CONT, HUP, INT, TERM, KILL).
+.PP
+For more control over konsole, a user can:
+hide/show the menubar and/or frame;
+select the size of a konsole window, fonts, color
+schemes, and key mapping;
+change location of the scrollbar or hide the scrollbar;
+change location of the tabbar or hide the tabbar.
+.PP
+All chosen settings can be made the default for forthcoming sessions by
+saving them.
+.SH OPTIONS
+.SS
+.SS Konsole specific options:
+.TP
+.B  \-\-name  <name>
+Set window class
+.TP
+.B  \-\-ls  
+Start login shell
+.B \-T <title>                
+Set the window title
+.TP
+.B  \-\-tn  <terminal>
+Specify terminal type as set in the TERM [xterm]
+environment variable
+.TP
+.B  \-\-noclose  
+Do not close Konsole when command exits
+.TP
+.B  \-\-nohist  
+Do not save lines in history
+.TP
+.B  \-\-nomenubar  
+Do not display menubar
+.TP
+.B \-\-notabbar,  \-\-notoolbar  
+Do not display tab bar
+.TP
+.B  \-\-noframe  
+Do not display frame
+.TP
+.B  \-\-noscrollbar  
+Do not display scrollbar
+.TP
+.B  \-\-noxft  
+Do not use Xft (anti-aliasing)
+.TP
+.B  \-\-vt_sz CCxLL             
+Terminal size in columns x lines
+.TP
+.B  \-\-noresize  
+Terminal size is fixed
+.TP
+.B  \-\-type  <type>
+Start with given session type
+.TP
+.B  \-\-types  
+List available session types
+.TP
+.B  \-\-keytab  <name>
+Set keytab to 'name'
+.TP
+.B  \-\-keytabs  
+List available keytabs
+.TP
+.B  \-\-profile  <name>
+Start with given session profile
+.TP
+.B  \-\-profiles  
+List available session profiles
+.TP
+.B  \-\-schema  <name>
+| <file>  Set schema to 'name' or use 'file'
+.TP
+.B \-\-schemas,  \-\-schemata  
+List available schemata
+.TP
+.B  \-\-script  
+Enable extended DCOP Qt functions
+.TP
+.B  \-\-workdir  <dir>
+Change working directory to 'dir'
+.TP
+.B \-e <command> [ arguments ]
+Execute 'command' instead of shell. It also sets the window title and 
+icon name to be the basename of the program being executed if neither 
+-T nor -n are given on the command line. 
+This must be the last option on the command line.
+.SS 
+.SS Arguments:
+.TP
+.B args
+Arguments for 'command'
+.SS
+.SS Generic options:
+.TP
+.B  \-\-help  
+Show help about options
+.TP
+.B  \-\-help\-qt  
+Show Qt specific options
+.TP
+.B  \-\-help\-kde  
+Show KDE specific options
+.TP
+.B  \-\-help\-all  
+Show all options
+.TP
+.B  \-\-author  
+Show author information
+.TP
+.B \-v,  \-\-version  
+Show version information
+.TP
+.B  \-\-license  
+Show license information
+.TP
+.B  \-\-  
+End of options
+.SS 
+
+.SH SEE ALSO
+Full user documentation is available through the KDE Help Center.  You can also enter the URL
+.BR help:/konsole/
+directly into konqueror or you can run 
+.BR "`khelpcenter help:/konsole/'"
+from the command-line.
+.BR
+
+Konsole homepage: 
+.BR http://konsole.kde.org/
+.SH AUTHORS
+Kurt V. Hindenburg <kurt.hindenburg at kdemail.net>
+
+Lars Doelle <lars.doelle at on-line.de>
+.BR
+.SH OTHER
+This manual page was written by Ana Beatriz Guerrero Lopez <ana at ekaia.org> for the Debian
+system (but may be used by others).
+.BR
+

Added: branches/kde4/packages/kdebase-workspace/debian/man/startkde.1
===================================================================
--- branches/kde4/packages/kdebase-workspace/debian/man/startkde.1	                        (rev 0)
+++ branches/kde4/packages/kdebase-workspace/debian/man/startkde.1	2007-09-22 15:56:49 UTC (rev 7239)
@@ -0,0 +1,46 @@
+.TH startkde 1 "Jan 17, 2005"
+.SH NAME
+startkde \- Starts up the KDE Desktop Environment 
+.SH SYNOPSIS
+.B startkde
+.br
+.SH DESCRIPTION
+This manual page documents briefly the
+.B startkde
+command.
+This manual page was written for the Debian distribution
+because the original program does not have a manual page.
+.PP
+The \fBstartkde\fP script starts up the K Desktop Environment and
+is typically executed by your login manager (e.g. xdm, gdm, kdm, wdm or from
+your X startup scripts). \fBstartkde\fP in turn launches ksmserver, which
+will load your last session, or a default session that includes the standard
+KDE programs if no saved session is available.
+
+\fBstartkde\fP, with ksmserver, is a standard X11R6 session manager that can manage
+any X11R6 SM compliant program.
+
+\fBstartkde\fP and ksmserver use the contents of the ~/.kde directory
+for starting previously saved sessions. Source scripts found in ~/.kde/env/*.sh
+can be used to define environment variables that will be available to all KDE 
+programs.
+
+For anything else (that doesn't set env vars, or that needs a window manager),
+better use the ~/.kde/Autostart folder.
+
+At the end of a session, the scripts found in ~/.kde/shutdown will be executed.
+
+
+.SH OPTIONS
+\fBstartkde\fP takes no command line options.
+
+.SH AUTHOR
+\fBstartkde\fP is written by the KDE Project.
+
+This manual page was written by Philipp Grau.
+
+.SH "REPORTING BUGS"
+Report bugs of this modified Debian version of startkde to the Bug
+Tracking System at: http://bugs.debian.org
+.SH COPYRIGHT
+Copyright \(co 2005 Philipp Grau.




More information about the pkg-kde-commits mailing list